package br.usp.nds.agualastro.persistencia;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToOne;
import javax.persistence.Transient;
import javax.xml.bind.annotation.XmlElement;

@Entity
public class LeituraSensor implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	private int codigo;
	@ManyToOne
	private Sensor sensor;
	@ManyToOne
	private Aquisicao aquisicao;
	private int valor;
	@Transient
	private float valorConvertido;
	
	public LeituraSensor() {
		super();
	}
	public LeituraSensor(Sensor sensor, Aquisicao aquisicao, int valor) {
		super();
		this.sensor = sensor;
		this.aquisicao = aquisicao;
		this.valor = valor;
	}
	public Aquisicao getAquisicao() {
		return aquisicao;
	}
	public void setAquisicao(Aquisicao aquisicao) {
		this.aquisicao = aquisicao;
	}
	public int getCodigo() {
		return codigo;
	}
	public void setCodigo(int codigo) {
		this.codigo = codigo;
	}
	public Sensor getSensor() {
		return sensor;
	}
	public void setSensor(Sensor sensor) {
		this.sensor = sensor;
	}
	public int getValor() {
		return valor;
	}
	public void setValor(int valor) {
		this.valor = valor;
	}
	@XmlElement
	public float getValorConvertido() {
		return valorConvertido;
	}
	public void setValorConvertido(float valorConvertido) {
		this.valorConvertido = valorConvertido;
	}
}
